about summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xservices/apache/run3
1 files changed, 3 insertions, 0 deletions
diff --git a/services/apache/run b/services/apache/run
index 3d8def1..5fcf647 100755
--- a/services/apache/run
+++ b/services/apache/run
@@ -1,2 +1,5 @@
 #!/bin/sh
+mkdir -p /run/httpd || exit 1
+chmod 0710 /run/httpd || exit 1
+chown root:httpd /run/httpd || exit 1
 exec httpd -DNO_DETACH